package com.fp.armas.portal.webservices.snap.cedula;

import com.fp.armas.portal.util.PortalLogger;

import ec.gob.registrocivil.consultacedula.Cedula;

/**
 * Clase que realiza consultas al WS de la SNAP del registro civil
 * @author dcruz
 *
 */
public class ClienteCedula implements PortalLogger{

	/**
	 * Retorna los datos de la persona en base su numero de c&eacute;dula
	 * @param cedula
	 * @return
	 */
	public static Cedula obtenerCedula(String cedula) {
		Cedula cedulaResult = null;
		try {
			CedulaServicioService cedulaServicioService = new CedulaServicioService();
			cedulaResult = cedulaServicioService.getCedulaServicioPort().consultarCedula(cedula);
		} catch (Throwable e) {
			log.error(e.getMessage(), e);
		}
		return cedulaResult;
	}
	
	public static void main(String[] args) {
		System.out.println(obtenerCedula("1716776933"));
	}
	
}
